Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Interface QSHandler

All Known Implementing Classes:
  AbstractQueryStringHandler

public interface QSHandler

The QSHandler interface defines an interface for classes that handle the actions necessary when a particular query string is encountered in an AXIS servlet invocation.

Author:
  Curtiss Howard

Method Summary
`void` | `invoke(MessageContext msgContext)` Performs the action associated with this particular query string handler.

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Performs the action associated with this particular query string handler.

  Parameters:
    `msgContext` - a MessageContext object containing message context information for this query string handler.
  Throws:
    `AxisFault` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.